Skip to main content
PUT
/
overtime_rates
/
{overtime_rate}
Update an overtime rate
curl --request PUT \
  --url https://sandbox.nmbr.co/services/payroll/overtime_rates/{overtime_rate} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "rate_multiplier": 1.5,
  "hourly_rate_override": 23
}
'
{
  "id": "<id>",
  "object": "overtime_rate",
  "data": {
    "pay_rate": {
      "id": "<id>",
      "object": "pay_rate",
      "links": {
        "self": "/pay_rates/<id>"
      }
    },
    "title": "$23",
    "title_translated": "$23",
    "rate_multiplier": 1.5,
    "hourly_rate": 22.5,
    "hourly_rate_override": 23,
    "business_preset": null,
    "expense_accounting_code": null,
    "liability_accounting_code": null,
    "archived_at": null,
    "is_editable": true,
    "is_deletable": true,
    "external_ref": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/overtime_rates/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

overtime_rate
string
required

Body

application/json
rate_multiplier
number<decimal>

The multiplier for this overtime, e.g 1.5 or 2.

Editing is prevented when is_editable is false

Required range: 0 <= x <= 100
hourly_rate_override
number<decimal>

If set, this amount is used for the hourly rate, not the calculated amount from the rate_multiplier.

Editing is prevented when is_editable is false

Required range: 0 <= x <= 99999
business_preset_id
string
expense_accounting_code_id
string
liability_accounting_code_id
string
archived_at
string<date>
external_ref
string
Maximum string length: 255
tag_assignment
object

Response

200 - application/json

OK

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("overtime_rate").

data
Overtime Rate · object